
From: Matt Porter <mporter@kernel.crashing.org>

Exports some DMA API symbols so module clients work.

Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/dma-mapping.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/ppc/kernel/dma-mapping.c~export-some-dma-api-symbols arch/ppc/kernel/dma-mapping.c
--- 25/arch/ppc/kernel/dma-mapping.c~export-some-dma-api-symbols	2004-07-26 22:14:52.649891648 -0700
+++ 25-akpm/arch/ppc/kernel/dma-mapping.c	2004-07-26 22:14:52.652891192 -0700
@@ -254,6 +254,7 @@ __dma_alloc_coherent(size_t size, dma_ad
  no_page:
 	return NULL;
 }
+EXPORT_SYMBOL(__dma_alloc_coherent);
 
 /*
  * free a page as defined by the above mapping.
@@ -317,7 +318,7 @@ void __dma_free_coherent(size_t size, vo
 	       __func__, vaddr);
 	dump_stack();
 }
-EXPORT_SYMBOL(dma_free_coherent);
+EXPORT_SYMBOL(__dma_free_coherent);
 
 /*
  * Initialise the consistent memory allocation.
_
